Ubuntu

[regression] upload route to garmin, route truncated, no waypoints

Reported by Per Ångström on 2011-01-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gpsbabel (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gpsbabel

I have found a regression in gpsbabel/maverick: uploading a route to my Garmin Forerunner 301 fails with the message "ROUTE TRUNCATED" on the Garmin. The Garmin displays the uploaded route as having no waypoints.

The command is:
gpsbabel -r -i gpx -o garmin -f route.gpx -F usb:

There is no error output in the console.

The same command used to work in Lucid, so I downloaded the Lucid source and built it, and it works. I then built the Maverick source and it doesn't work. So this is clearly a regression.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: gpsbabel 1.4.0-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic x86_64
Architecture: amd64
Date: Tue Jan 11 19:42:07 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
SourcePackage: gpsbabel

Per Ångström (autark) wrote :
Per Ångström (autark) wrote :

The bug seems to have been introduced in revision 11, i.e. the first revision after the Lucid branch:

revno: 11 [merge]
tags: 1.3.7~cvs2-3
author: Bernd Zeimetz <email address hidden>
committer: Bazaar Package Importer <email address hidden>
branch nick: maverick
timestamp: Thu 2010-05-06 14:12:41 +0200
message:
  * [b76106eb] Rename gpsbabel.doc-base parts to stop confusing
    dh_installdocs.
  * [0c9397ce] Split documentation into gpsbabel-doc.
  * [08e7b6ec] Fix build target dependency for build-doc.

Per Ångström (autark) wrote :

In the Maverick branch (rev. 14), reverting file garmin.c to revision 10 (Lucid) fixes the problem. Unfortunately, that file has quite a lot of changes, so it may be tricky to track down the error.

Per Ångström (autark) wrote :

Investigating the Sourceforge CVS tree, I have found the offending commit to be 1.135:

date: 2010/01/20 12:40:53; author: robertl; state: Exp; lines: +4 -1
When writing routes, set class to map type instead of user so that duplicate waypoints aren't created.

$ cvs diff -r 1.134 -r 1.135 garmin.c
Index: garmin.c
===================================================================
RCS file: /cvsroot/gpsbabel/gpsbabel/garmin.c,v
retrieving revision 1.134
retrieving revision 1.135
diff -r1.134 -r1.135
772c772
< way->wpt_class = 0;
---
> way->wpt_class = 0; // user waypoint by default.
968a969,971
> // map class so unit doesn't duplicate routepoints as a waypoint.
> rte->wpt_class = 0x80;
>

Reverting this change fixes the problem.

Per Ångström (autark) wrote :

This patch reverts the change and fixes the problem for me.

Per Ångström (autark) wrote :

I have notified upstream, http://sourceforge.net/projects/gpsbabel/, of the problem.

tags: added: patch
Daniel T Chen (crimsun) wrote :

Fixed in Oneiric

Changed in gpsbabel (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers